function install
%INSTALL Install Communications with USRP(TM).
%   INSTALL installs Communications with USRP(TM) software.  You will be
%   prompted to enter a folder for installation or accept the default. The
%   folder must not be within the MATLAB installation folder.
%
%   On Windows, INSTALL must be executed from a non-UNC path.
%
%   Copyright 2011 The MathWorks, Inc.
%
platform = computer();
versionString = 'v3_0_1';
if strfind(platform, 'GLNX')
    dataFile = ['commusrp_L_' versionString '.mwd'];
elseif strfind(platform, 'WIN')
    dataFile = ['commusrp_W_' versionString '.mwd'];
elseif strfind(platform, 'MACI64');
    dataFile = ['commusrp_M_' versionString '.mwd'];
else
    fprintf('%s is not a supported platform. Software not installed.\n\n', platform);
    return;

end;
install_utils(dataFile, 'install');

%USRP is a trademark of National Instruments Corp.

